{
  description = "Downloads/compiles/installs zvm";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs { inherit system; };
        
        # Replace with the actual GitHub repository URL and revision
        mod = pkgs.buildGoModule {
          pname = "zvm";
          name = "zvm";
          vendorHash = "sha256-QiE+aqiesygClFvdjIlyaRiC1I3qybCPuMxt/3HQUyA=";
          doCheck = false;  # Disable running tests during build
          src = pkgs.fetchFromGitHub {
            owner = "elerch";
            repo = "zvm";
            rev = "38ecacdef49d6de46ad85f25023de132e7256fae";
            hash = "sha256-Ka7Oo4pz86/zu/H2ZZViLUJoaY64ndwDaegrWD0+2OE=";
          };
        };

      in {
        packages.default = mod;
        # packages.default = pkgs.stdenv.mkDerivation {
        #   pname = "zvm";
        #   version = "0.8.4";
        #
        #   # inherit src;
        #
        #   buildInputs = with pkgs; [ go go-tools ];
        #
        #   buildPhase = ''
        #     mkdir -p $out/bin
        #   '';
        #
        #   installPhase = ''
        #   '';
        # };

        devShells.default = pkgs.mkShell {
          buildInputs = with pkgs; [ go go-tools ];
        };
      }
    );
}
